WhatsNext:AddConditionalStatement("Minimum Astral Power",{
	category="DRUID",
	test = function(checkTable)
		return UnitPower("player",8) >= tonumber(checkTable.amount) 
	end,
	text = function(checkTable)
		return "player has at least " .. tostring(checkTable.amount) .. " Astral Power."
	end,
	arguments = {
		amount = {label = "Astral Power", type = "integer", default = 50, min = 0, max = 200},
	}
})

WhatsNext:AddConditionalStatement("Form",{
	category="DRUID",
	test = function(checkTable)
		return WhatsNext:GetSpellName(checkTable.form) == (GetShapeshiftForm() and GetShapeshiftForm() > 0 and select(2,GetShapeshiftFormInfo(GetShapeshiftForm())) or 0)
	end,
	text = function(checkTable)
		return "player's active form is "..WhatsNext:GetSpellName(checkTable.form) .. "."
	end,
	arguments = {
		form = {label = "Form", type = "dropdown", default = "24858", possibleValues={["24858"]=WhatsNext:GetSpellName(24858),["1066"]=WhatsNext:GetSpellName(1066),["5487"]=WhatsNext:GetSpellName(5487),["768"]=WhatsNext:GetSpellName(768),["33943"]=WhatsNext:GetSpellName(33943),["40120"]=WhatsNext:GetSpellName(40120),["783"]=WhatsNext:GetSpellName(783)}},
	}
})

WhatsNext:AddConditionalStatement("Combo Points (Druid)",{
	category = "DRUID",
	test = function(checkTable) 
		return GetComboPoints("player",tostring(checkTable.unit)) >= tonumber(checkTable.amount)
	end,
	text = function(checkTable) 
		return "player has at least "..tostring(checkTable.amount).." combo points on " .. GetUnitDisplayText(checkTable.unit) .. "."
	end,
	arguments = {
		unit = {label = "Unit", type = "dropdown", default = "target", possibleValues = WhatsNext.valueLists.unitAny},
		amount = {label = "Combo Points", type = "integer", default = 50, min = 0, max = 6},
	}
})